## normaliz 3.5.1+ds

=== Qsource/CMakeLists.txt ===
# Pre-requisites about cmake itself
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0005 NEW) # new in 2.6 
  cmake_policy(SET CMP0003 NEW) # new in 2.6 
  if(POLICY CMP0042)            # new in 2.8.2
    cmake_policy(SET CMP0042 NEW)  # MACOSX_RPATH enabled by default
  endif(POLICY CMP0042)
endif(COMMAND cmake_policy)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

# The project name and the type of project
PROJECT(libQnormaliz)
SET(VERSION_MAJOR 3)
SET(VERSION_MINOR 3)
SET(VERSION_PATCH 0)
SET(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
SET(VERSION ${VERSION_STRING})

# automatically set lib suffix, disabled for now
#IF(UNIX AND NOT APPLE AND NOT CMAKE_CROSSCOMPILING AND NOT EXISTS "/etc/debian_version")
#  IF(CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT LIB_SUFFIX)
#    SET(LIB_SUFFIX 64)
#  ENDIF()
#ENDIF()

# PkgConfig
SET(prefix      ${CMAKE_INSTALL_PREFIX})
SET(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
SET(includedir  ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})

IF(${UNIX})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
ENDIF(${UNIX})
IF(${WIN32})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF(${WIN32})

#set default build type
#IF (NOT CMAKE_BUILD_TYPE)  #or IF (NOT DEFINED CMAKE_BUILD_TYPE)
#  SET(CMAKE_BUILD_TYPE Release)
#ENDIF (NOT CMAKE_BUILD_TYPE)

##### Always full RPATH  #####

# use, i.e. don't skip the full RPATH for the build tree
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


# the RPATH to be used when installing, but only if it's not a system directory
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF("${isSystemDir}" STREQUAL "-1")

##############################

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib") #needed on mac


# compiler flags
IF (MSVC)
  SET (CXX_WARNING_FLAGS "/Wall")
  SET (CXX_OPTIMIZATION_FLAGS "/O2")
ELSE ()
  SET (CXX_WARNING_FLAGS "-Wall -pedantic")
  SET (CXX_OPTIMIZATION_FLAGS "-O3")
ENDIF ()

IF (NOT MSVC)
  include(CheckCXXCompilerFlag)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
  CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
  if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  else()
    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support.")
  endif()
  IF (${APPLE})
    IF (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND (COMPILER_SUPPORTS_CXX11 OR COMPILER_SUPPORTS_CXX0X) )
      # using clang with new c++11 library on Apple
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    ENDIF ()
  ENDIF ()
ENDIF()


SET (QNMZ_OPENMP "YES" CACHE BOOL "use openmp")
IF (QNMZ_OPENMP)
  FIND_PACKAGE(OpenMP)
  IF (NOT OPENMP_FOUND)
    MESSAGE(STATUS "Not using OpenMP, compiler does not support it")
    SET (QNMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
  ENDIF(NOT OPENMP_FOUND)
ENDIF (QNMZ_OPENMP)
IF (QNMZ_OPENMP)
  include("${CMAKE_SOURCE_DIR}/cmake/detect_features.cmake")
  QNMZ_CHECK_FOR_EXCEPTION_PTR()
  IF (NOT HAVE_EXCEPTION_PTR)
    MESSAGE(STATUS "Not using OpenMP, compiler does not support std::exception_ptr and std::rethrow")
    SET (QNMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
  ENDIF (NOT HAVE_EXCEPTION_PTR)
ENDIF (QNMZ_OPENMP)
IF (QNMZ_OPENMP)
  SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
ELSE (QNMZ_OPENMP)
  SET (CXX_WARNING_FLAGS "${CXX_WARNING_FLAGS} -Wno-unknown-pragmas")
ENDIF (QNMZ_OPENMP)

# add compiler flags
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_WARNING_FLAGS} ${CXX_OPTIMIZATION_FLAGS}")

INCLUDE_DIRECTORIES(.)

# handle static compilation
SET (QNMZ_BUILD_STATIC "NO" CACHE BOOL "build Qnormaliz statically")
IF (QNMZ_BUILD_STATIC)
  IF (${APPLE})
    IF (CMAKE_COMPILER_IS_GNUCXX)
        SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
    ENDIF (CMAKE_COMPILER_IS_GNUCXX)
    # make it compatible with older Mac versions
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.7")
  ELSEIF (${UNIX})
    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
  ELSE ()
    MESSAGE (FATAL_ERROR "Static linking not (yet) supported on this system")
  ENDIF ()
ENDIF (QNMZ_BUILD_STATIC)

# find gmp
FIND_PACKAGE(GMP REQUIRED)
INCLUDE_DIRECTORIES(${GMP_INCLUDE_DIR})
IF (GMP_FOUND)
  MESSAGE(STATUS "GMP found with include dir: ${GMP_INCLUDE_DIR}")
  MESSAGE(STATUS "GMP found with lib dir: ${GMP_LIBRARIES_DIR}")
  MESSAGE(STATUS "GMP found with lib : ${GMP_LIBRARIES}")
  MESSAGE(STATUS "GMP found with static lib : ${GMP_STATIC_LIBRARIES}")
ENDIF()

FIND_PACKAGE(GMPXX REQUIRED)
INCLUDE_DIRECTORIES(${GMPXX_INCLUDE_DIR})
IF (GMPXX_FOUND)
  MESSAGE(STATUS "GMPXX found with include dir: ${GMPXX_INCLUDE_DIR}")
  MESSAGE(STATUS "GMPXX found with lib : ${GMPXX_LIBRARIES}")
  MESSAGE(STATUS "GMPXX found with static lib : ${GMPXX_STATIC_LIBRARIES}")
ENDIF()

ADD_SUBDIRECTORY(libQnormaliz)

# add the Qnormaliz executable
ADD_EXECUTABLE (Qnormaliz Qnormaliz.cpp)

IF (QNMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (Qnormaliz Qnormaliz-static)
  TARGET_LINK_LIBRARIES (Qnormaliz ${GMPXX_STATIC_LIBRARIES} ${GMP_STATIC_LIBRARIES})
  #Static start and end
  SET_TARGET_PROPERTIES(Qnormaliz PROPERTIES LINK_SEARCH_START_STATIC 1)
  SET_TARGET_PROPERTIES(Qnormaliz PROPERTIES LINK_SEARCH_END_STATIC 1)
  # Don't try to modify the RPATH
  SET_TARGET_PROPERTIES(Qnormaliz PROPERTIES INSTALL_RPATH "")
ELSE (QNMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (Qnormaliz Qnormaliz-shared)
  TARGET_LINK_LIBRARIES (Qnormaliz ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
ENDIF (QNMZ_BUILD_STATIC)


INSTALL(TARGETS Qnormaliz DESTINATION bin)

#custom make targets
ADD_CUSTOM_TARGET (uninstall @echo uninstall package)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall package"
    COMMAND xargs ARGS rm < install_manifest.txt
    TARGET  uninstall
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall only implemented in unix"
    TARGET  uninstall
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (dep @echo install package dependencies)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies"
    COMMAND ./make_dep.sh ARGS -d ../dependencies
    TARGET  dep
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies only implemented in unix"
    TARGET  dep
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (check)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "run tests"
    COMMAND make --directory=../Qtest/ -f Makefile.classic QNORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/Qnormaliz
    TARGET  check
    DEPENDS Qnormaliz
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "check only implemented in unix"
    TARGET  check
  )
ENDIF(UNIX)

=== source/CMakeLists.txt ===
# Pre-requisites about cmake itself
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0005 NEW) # new in 2.6 
  cmake_policy(SET CMP0003 NEW) # new in 2.6 
  if(POLICY CMP0042)            # new in 2.8.2
    cmake_policy(SET CMP0042 NEW)  # MACOSX_RPATH enabled by default
  endif(POLICY CMP0042)
endif(COMMAND cmake_policy)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

# The project name and the type of project
PROJECT(libnormaliz)
SET(VERSION_MAJOR 3)
SET(VERSION_MINOR 5)
SET(VERSION_PATCH 1)
SET(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
SET(VERSION ${VERSION_STRING})

# automatically set lib suffix, disabled for now
#IF(UNIX AND NOT APPLE AND NOT CMAKE_CROSSCOMPILING AND NOT EXISTS "/etc/debian_version")
#  IF(CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT LIB_SUFFIX)
#    SET(LIB_SUFFIX 64)
#  ENDIF()
#ENDIF()

# PkgConfig
SET(prefix      ${CMAKE_INSTALL_PREFIX})
SET(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
SET(includedir  ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})

IF(${UNIX})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
ENDIF(${UNIX})
IF(${WIN32})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF(${WIN32})

#set default build type
#IF (NOT CMAKE_BUILD_TYPE)  #or IF (NOT DEFINED CMAKE_BUILD_TYPE)
#  SET(CMAKE_BUILD_TYPE Release)
#ENDIF (NOT CMAKE_BUILD_TYPE)

##### Always full RPATH  #####

# use, i.e. don't skip the full RPATH for the build tree
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


# the RPATH to be used when installing, but only if it's not a system directory
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF("${isSystemDir}" STREQUAL "-1")

##############################

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib") #needed on mac


# compiler flags
IF (MSVC)
  SET (CXX_WARNING_FLAGS "/Wall")
  SET (CXX_OPTIMIZATION_FLAGS "/O2")
ELSE ()
  SET (CXX_WARNING_FLAGS "-Wall -pedantic")
  SET (CXX_OPTIMIZATION_FLAGS "-O3")
ENDIF ()

IF (NOT MSVC)
  include(CheckCXXCompilerFlag)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
  CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
  if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  else()
    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support.")
  endif()
  IF (${APPLE})
    IF (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND (COMPILER_SUPPORTS_CXX11 OR COMPILER_SUPPORTS_CXX0X) )
      # using clang with new c++11 library on Apple
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    ENDIF ()
  ENDIF ()
ENDIF()


SET (NMZ_OPENMP "YES" CACHE BOOL "use openmp")
IF (NMZ_OPENMP)
  FIND_PACKAGE(OpenMP)
  IF (NOT OPENMP_FOUND)
    MESSAGE(STATUS "Not using OpenMP, compiler does not support it")
    SET (NMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
  ENDIF(NOT OPENMP_FOUND)
ENDIF (NMZ_OPENMP)
IF (NMZ_OPENMP)
  include("${CMAKE_SOURCE_DIR}/cmake/detect_features.cmake")
  NMZ_CHECK_FOR_EXCEPTION_PTR()
  IF (NOT HAVE_EXCEPTION_PTR)
    MESSAGE(STATUS "Not using OpenMP, compiler does not support std::exception_ptr and std::rethrow")
    SET (NMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
  ENDIF (NOT HAVE_EXCEPTION_PTR)
ENDIF (NMZ_OPENMP)
IF (NMZ_OPENMP)
  SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
ELSE (NMZ_OPENMP)
  SET (CXX_WARNING_FLAGS "${CXX_WARNING_FLAGS} -Wno-unknown-pragmas")
ENDIF (NMZ_OPENMP)

# add compiler flags
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_WARNING_FLAGS} ${CXX_OPTIMIZATION_FLAGS}")

INCLUDE_DIRECTORIES(.)

# handle static compilation
SET (NMZ_BUILD_STATIC "NO" CACHE BOOL "build normaliz statically")
IF (NMZ_BUILD_STATIC)
  IF (${APPLE})
    IF (CMAKE_COMPILER_IS_GNUCXX)
        SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
    ENDIF (CMAKE_COMPILER_IS_GNUCXX)
    # make it compatible with older Mac versions
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.7")
  ELSEIF (${UNIX})
    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
  ELSE ()
    MESSAGE (FATAL_ERROR "Static linking not (yet) supported on this system")
  ENDIF ()
ENDIF (NMZ_BUILD_STATIC)


# handle usage of SCIP
SET (NMZ_SCIP "YES" CACHE BOOL "Use SCIP")
FIND_PACKAGE(SCIP) # should always be defined
IF(SCIP_FOUND)
  IF(NMZ_SCIP)
    SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
    INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
    MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
  ENDIF(NMZ_SCIP)
ELSE(SCIP_FOUND)
    SET (SCIP_LIBRARY "")
ENDIF(SCIP_FOUND)


# handle use of CoCoALib
SET (NMZ_COCOA "YES" CACHE BOOL "Use CoCoALib")
FIND_PACKAGE(COCOA)
IF(COCOA_FOUND)
  IF(NMZ_COCOA)
    SET (NMZ_COCOA_FLAGS "-DNMZ_COCOA -DCoCoA_THREADSAFE_HACK")
    INCLUDE_DIRECTORIES(${COCOA_INCLUDE_DIR})
    MESSAGE(STATUS "Adding to compiler flags NMZ_COCOA_FLAGS=${NMZ_COCOA_FLAGS}")
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_COCOA_FLAGS}")
  ENDIF(NMZ_COCOA)
ELSE(COCOA_FOUND)
    SET (COCOA_LIBRARY "")
ENDIF (COCOA_FOUND)

# handle use of Flint
SET (NMZ_FLINT "YES" CACHE BOOL "Use Flint")
FIND_PACKAGE(MPFR)
FIND_PACKAGE(FLINT)
IF(FLINT_FOUND AND MPFR_FOUND)
  IF(NMZ_FLINT)
    SET (NMZ_FLINT_FLAGS "-DNMZ_FLINT ")
    INCLUDE_DIRECTORIES(${FLINT_INCLUDE_DIR})
    INCLUDE_DIRECTORIES($${MPFR_INCLUDE_DIR})
    MESSAGE(STATUS "Adding to compiler flags NMZ_FLINT_FLAGS=${NMZ_FLINT_FLAGS}")
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_FLINT_FLAGS}")
  ENDIF(NMZ_FLINT)
ELSE(FLINT_FOUND AND MPFR_FOUND)
    SET (FLINT_LIBRARY "")
    SET(MPFR_LIBRARY " ")
ENDIF (FLINT_FOUND AND MPFR_FOUND)

# find gmp
FIND_PACKAGE(GMP REQUIRED)
INCLUDE_DIRECTORIES(${GMP_INCLUDE_DIR})
IF (GMP_FOUND)
  MESSAGE(STATUS "GMP found with include dir: ${GMP_INCLUDE_DIR}")
  MESSAGE(STATUS "GMP found with lib dir: ${GMP_LIBRARIES_DIR}")
  MESSAGE(STATUS "GMP found with lib : ${GMP_LIBRARIES}")
  MESSAGE(STATUS "GMP found with static lib : ${GMP_STATIC_LIBRARIES}")
ENDIF()

FIND_PACKAGE(GMPXX REQUIRED)
INCLUDE_DIRECTORIES(${GMPXX_INCLUDE_DIR})
IF (GMPXX_FOUND)
  MESSAGE(STATUS "GMPXX found with include dir: ${GMPXX_INCLUDE_DIR}")
  MESSAGE(STATUS "GMPXX found with lib : ${GMPXX_LIBRARIES}")
  MESSAGE(STATUS "GMPXX found with static lib : ${GMPXX_STATIC_LIBRARIES}")
ENDIF()


# handle offload to mic (intel xeon phi)
SET (NMZ_MIC_OFFLOAD "NO" CACHE BOOL "Use offload to mic (intel xeon phi)")
IF (NMZ_MIC_OFFLOAD)
  IF ( NOT UNIX OR APPLE )
    MESSAGE (FATAL_ERROR "Offload to mic only supported on Linux")
  ENDIF()
  IF ( NMZ_SCIP AND SCIP_FOUND ) 
    MESSAGE (FATAL_ERROR "Simultaneous use of offload and scip not supported")
  ENDIF()

  # find gmp for mic
  FIND_PACKAGE(MIC_GMP REQUIRED)
  INCLUDE_DIRECTORIES(${MIC_GMP_INCLUDE_DIR})  #probably not the correct place
  IF (MIC_GMP_FOUND)
    MESSAGE(STATUS "MIC_GMP found with include dir: ${MIC_GMP_INCLUDE_DIR}")
    MESSAGE(STATUS "MIC_GMP found with lib dir: ${MIC_GMP_LIBRARIES_DIR}")
    MESSAGE(STATUS "MIC_GMP found with lib : ${MIC_GMP_LIBRARIES}")
    MESSAGE(STATUS "MIC_GMP found with static lib : ${MIC_GMP_STATIC_LIBRARIES}")
  ENDIF()
  FIND_PACKAGE(MIC_GMPXX REQUIRED)
  INCLUDE_DIRECTORIES(${MIC_GMPXX_INCLUDE_DIR}) #probably not the correct place
  IF (MIC_GMPXX_FOUND)
    MESSAGE(STATUS "MIC_GMPXX found with include dir: ${MIC_GMPXX_INCLUDE_DIR}")
    MESSAGE(STATUS "MIC_GMPXX found with lib : ${MIC_GMPXX_LIBRARIES}")
    MESSAGE(STATUS "MIC_GMPXX found with static lib : ${MIC_GMPXX_STATIC_LIBRARIES}")
  ENDIF()
  SET (NMZ_MIC_FLAGS "-offload-option,mic,compiler,\"-L${MIC_GMP_LIBRARIES_DIR} -lgmpxx -lgmp\" -DNMZ_MIC_OFFLOAD")
  SET (NMZ_MIC_FLAGS "${NMZ_MIC_FLAGS} -wd3218")
  MESSAGE(STATUS "Adding to compiler flags NMZ_MIC_FLAGS=${NMZ_MIC_FLAGS}")
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_MIC_FLAGS}")
ENDIF (NMZ_MIC_OFFLOAD)


ADD_SUBDIRECTORY(libnormaliz)

# add the normaliz executable
ADD_EXECUTABLE (normaliz normaliz.cpp)

IF (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (normaliz normaliz-static)
  # TARGET_LINK_LIBRARIES (normaliz ${GMPXX_STATIC_LIBRARIES} ${GMP_STATIC_LIBRARIES})
  #Static start and end
  SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_START_STATIC 1)
  SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_END_STATIC 1)
  # Don't try to modify the RPATH
  SET_TARGET_PROPERTIES(normaliz PROPERTIES INSTALL_RPATH "")
ELSE (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (normaliz normaliz-shared)
  # TARGET_LINK_LIBRARIES (normaliz ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
ENDIF (NMZ_BUILD_STATIC)

INSTALL(TARGETS normaliz DESTINATION bin)

SET (NMZ_MAX "YES" CACHE BOOL "Compile with maxsimplex")
IF (NMZ_MAX)
    ADD_SUBDIRECTORY(maxsimplex)
    #TARGET_LINK_LIBRARIES (normaliz maxsimplex) 
ENDIF (NMZ_MAX)

#custom make targets
ADD_CUSTOM_TARGET (uninstall @echo uninstall package)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall package"
    COMMAND xargs ARGS rm < install_manifest.txt
    TARGET  uninstall
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall only implemented in unix"
    TARGET  uninstall
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (dep @echo install package dependencies)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies"
    COMMAND ./make_dep.sh ARGS -d ../dependencies
    TARGET  dep
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies only implemented in unix"
    TARGET  dep
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (check)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "run tests"
    COMMAND make --directory=../test/ -f Makefile.classic NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
    TARGET  check
    DEPENDS normaliz
  )
  IF(NMZ_COCOA AND COCOA_FOUND)
      ADD_CUSTOM_COMMAND(
      COMMENT "run Int tests"
      COMMAND make --directory=../test/ -f Makefile.classic testInt NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
      TARGET  check
      DEPENDS normaliz
  )
  ENDIF(NMZ_COCOA AND COCOA_FOUND)
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "check only implemented in unix"
    TARGET  check
  )
ENDIF(UNIX)

=== source/maxsimplex/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(maxsimplex)

INCLUDE_DIRECTORIES(../libnormaliz)
INCLUDE_DIRECTORIES(..)

INCLUDE_DIRECTORIES(${GMP_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${GMPXX_INCLUDE_DIR})

ADD_EXECUTABLE (maxsimplex maxsimplex.cpp)

IF (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (maxsimplex normaliz-static)
  #Static start and end
  SET_TARGET_PROPERTIES(maxsimplex PROPERTIES LINK_SEARCH_START_STATIC 1)
  SET_TARGET_PROPERTIES(maxsimplex PROPERTIES LINK_SEARCH_END_STATIC 1)
  # Don't try to modify the RPATH
  SET_TARGET_PROPERTIES(maxsimplex PROPERTIES INSTALL_RPATH "")
ELSE (NMZ_BUILD_STATIC)
    TARGET_LINK_LIBRARIES (maxsimplex normaliz-shared)
ENDIF (NMZ_BUILD_STATIC)

=== debian/changelog ===
normaliz (3.5.1+ds-4) unstable; urgency=medium

  * FTBFS fix release: Closes: #881870), disable OMP support on alpha arch.
  * Debianization:
    - debian/rules, see above;
    - debian/patches/*:
      - d/p/upstream-reproducible-doc.patch , introduce (Closes: #886703;
    - debian/copyright, format URI, secure.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jan 2018 05:45:25 +0000

normaliz (3.5.1+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Build-Depends field, libflint-dev, filter out m68k support.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Jan 2018 14:30:04 +0000

normaliz (3.5.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/rules, filter out m68k triplet for libflint-dev support.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Jan 2018 10:16:09 +0000

normaliz (3.5.1+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
      - update;
    - debian/control:
      - debhelper, reverse to 11;
      - Standards Version, bump to 4.1.3 (no change);
      - Build-Depends-Indep field, reintroduce;
    - debian/rules:
      - doc composition, reintroduce;
      - harden;
    - debian/adhoc/Makefile, add doc target;
    - debian/clean, refresh;
    - debian/source/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 Jan 2018 16:09:07 +0000

normaliz (3.5.0+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/rules, correct x32 triplet;
    - debian/control:
      - debhelper, reverse to 10 (see #885745).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Dec 2017 17:01:44 +0000

normaliz (3.5.0+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - debhelper, bump to 11 (refresh doc-base);
      - Build-Depends field, libflint-dev, refine arch support;
    - debian/rules, libflint-dev, refine arch support.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 29 Dec 2017 11:51:57 +0000

normaliz (3.5.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.1.2 (no change);
      - Build-Depends field, add libflint-dev;
    - debian/patches/*:
      - d/p/upstream-test-extremely_sensitive_tests-neutralize.patch,
        integrated;
    - debian/rules:
      - autotool chain, build against flint.
    - debian/README.Debian, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 21 Dec 2017 18:55:49 +0000

=== debian/control ===
Source: normaliz
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 11), autoconf-archive,
 help2man,
 libgmp-dev, libflint-dev [!alpha !m68k !sh4 !x32], libboost-dev
Build-Depends-Indep:
 texlive-latex-base, texlive-latex-recommended, texlive-pictures,
 texlive-fonts-recommended, texlive-fonts-extra
Standards-Version: 4.1.3
Homepage: https://www.normaliz.uni-osnabrueck.de/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/normaliz.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/normaliz.git

Package: normaliz
Architecture: any
Depends: normaliz-bin, ${misc:Depends}
Suggests: singular
Description: math computing tools for affine monoids, rational polytopes and cones
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This dummy package provides the standard installation.

Package: libnormaliz3
Provides: libnormaliz
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libnormaliz
Multi-Arch: same
Description: math computing tools for affine monoids, rational polytopes and cones - libs
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the shared libraries required to run programs compiled
 against the Normaliz library. To compile your own programs you also need to
 install the libnormaliz-dev package.

Package: libnormaliz-dev
Section: libdevel
Architecture: any
Depends: libnormaliz3 (= ${binary:Version}), libnormaliz-dev-common (= ${source:Version}), ${misc:Depends}
Conflicts: libnormaliz-dev
Suggests: normaliz-bin (= ${binary:Version})
Multi-Arch: same
Description: math computing tools for affine monoids, rational polytopes and cones - libdev
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package contains static libraries and symbolic links that developers
 using the Normaliz library will need.

Package: libnormaliz-dev-common
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Replaces: libnormaliz0-dev-common
Breaks: libnormaliz0-dev-common
Description: math computing tools for affine monoids, rational polytopes and cones - headers
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package contains the header files that developers using the Normaliz
 library will need.

Package: normaliz-bin
Architecture: any
Depends: libnormaliz3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: normaliz-doc (= ${binary:Version})
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - bin
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the command line utility normaliz.

Package: normaliz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: normaliz (=${binary:Version}), pdf-viewer
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - doc
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the user guide for the normaliz tool suite;
 it also contains examples.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export TOP_SRCDIR=$(CURDIR)

## At the time of coding, GOMP is poorly supported on alpha architecture
## machine --- see https://github.com/Normaliz/Normaliz/issues/168
## -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jan 2018
## At the time of coding, GOMP emits random `Bus error' during test on mipsel
## architecture machines --- see bugreport #806769 for further information.
## -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Dec 2015
ifneq (,$(filter $(DEB_HOST_MULTIARCH), alpha-linux-gnu mipsel-linux-gnu))
DEB_PKG_NMZ_OPENMP=no
else
DEB_PKG_NMZ_OPENMP=yes
endif

ifneq (,$(filter $(DEB_HOST_MULTIARCH), alpha-linux-gnu m68k-linux-gnu sh4-linux-gnu x86_64-linux-gnux32))
DEB_PKG_NMZ_FLINT=no
else
DEB_PKG_NMZ_FLINT=yes
endif

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- --enable-openmp=$(DEB_PKG_NMZ_OPENMP) --enable-flint=$(DEB_PKG_NMZ_FLINT)

override_dh_auto_build-indep:
	$(MAKE) -C doc -f $(CURDIR)/debian/adhoc/Makefile doc

override_dh_auto_build-arch:
	dh_auto_build -a

override_dh_auto_test-indep:

override_dh_prep-arch:
	$(MAKE) -f $(CURDIR)/debian/adhoc/Makefile manpages

override_dh_auto_install-indep:
	$(MAKE) -C _build/source install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

get-orig-source:
	uscan --no-conf --download-current-version --verbose

## normaliz 3.6.3%2Bds

=== debian/changelog ===
normaliz (3.6.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 Aug 2018 17:00:09 +0000

normaliz (3.6.2+ds-1) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.2.0 (no change);
    - debian/patches/*:
      - d/p/upstream-fix-autotoolization-external_build.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 18 Aug 2018 11:00:46 +0000

normaliz (3.6.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.1.4 (no change);
      - Vcs-* fields, migration to Salsa;
    - debian/rules:
      - get-orig-source target, discard;
    - debian/source:
      - d/s/lintian-overrides , update;
    - debian/patches/*:
      - d/p/upstream-fix-autotoolization-external_build.patch , integrated;
      - d/p/upstream-fix-autotoolization-external_build.patch , introduce;

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 08 Jun 2018 07:50:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,3 @@
 
 override_dh_compress-indep:
 	dh_compress -X.pdf -Xexamples
-
-get-orig-source:
-	uscan --no-conf --download-current-version --verbose

## normaliz 3.6.3+ds

=== source/libnormaliz/CMakeLists.txt ===
# libnormaliz source files
SET(sources enumeration.cpp other_algorithms.cpp linear_algebra.cpp offload_handler.cpp cone_and_control.cpp primal.cpp)
# libnormaliz header files
SET(headers cone.h cone_property.h convert.h general.h HilbertSeries.h integer.h libnormaliz.h map_operations.h matrix.h my_omp.h normaliz_exception.h sublattice_representation.h vector_operations.h version.h)

# add the necessary include directories
INCLUDE_DIRECTORIES(..)
FIND_PACKAGE(Boost REQUIRED)
#IF (Boost_FOUND)
#  MESSAGE(STATUS "Boost found with include dir: ${Boost_INCLUDE_DIR}")
#ENDIF()
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

## SET (NMZ_BUILD_BOTH "NO" CACHE BOOL "build shared AND static libnormaliz")

IF (NOT NMZ_BUILD_STATIC)
  # create the shared library
  ADD_LIBRARY(normaliz-shared SHARED ${sources})
  SET_TARGET_PROPERTIES(normaliz-shared PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  # set the dependency on gmp
  TARGET_LINK_LIBRARIES (normaliz-shared ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
  #set dependency on optional lib scip
  IF (NMZ_SCIP AND SCIP_FOUND)
    MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${SCIP_LIBRARY})
  ENDIF (NMZ_SCIP AND SCIP_FOUND)
  # set dependency on optional lib cocoa
  IF (NMZ_COCOA AND COCOA_FOUND)
    MESSAGE(STATUS "Adding CoCoA libraries to link ${COCOA_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${COCOA_LIBRARY})
  ENDIF (NMZ_COCOA AND COCOA_FOUND)
  IF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
    MESSAGE(STATUS "Adding Flint libraries to link ${FLINT_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${FLINT_LIBRARY})
    MESSAGE(STATUS "Adding MPFR libraries to link ${MPFR_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${MPFR_LIBRARY})
  ENDIF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
  INSTALL(TARGETS normaliz-shared
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    RUNTIME DESTINATION bin
    COMPONENT sharedlibs
  )
ENDIF (NOT NMZ_BUILD_STATIC)

IF (NMZ_BUILD_STATIC)
  #create the static library
  ADD_LIBRARY(normaliz-static STATIC ${sources})
  SET_TARGET_PROPERTIES(normaliz-static PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  IF (NMZ_COCOA AND COCOA_FOUND)
    MESSAGE(STATUS "Adding CoCoA libraries to link ${COCOA_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-static ${COCOA_LIBRARY})
  ENDIF (NMZ_COCOA AND COCOA_FOUND)
  IF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
    MESSAGE(STATUS "Adding Flint libraries to link ${FLINT_STATIC_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-static ${FLINT_STATIC_LIBRARY})
    MESSAGE(STATUS "Adding MPFR libraries to link ${MPFR_STATIC_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-static ${MPFR_STATIC_LIBRARY})
  ENDIF (NMZ_FLINT AND FLINT_FOUND AND MPFR_FOUND)
  TARGET_LINK_LIBRARIES (normaliz-static ${GMPXX_STATIC_LIBRARIES} ${GMP_STATIC_LIBRARIES})
  INSTALL(TARGETS normaliz-static ARCHIVE DESTINATION lib${LIB_SUFFIX})
ENDIF (NMZ_BUILD_STATIC)

INSTALL(FILES ${headers} DESTINATION include/${PROJECT_NAME} COMPONENT headers)

SET(LIBNORMALIZ_INCLUDE_DIR ${includedir})
SET(LIBNORMALIZ_INCLUDE_DIRS ${LIBNORMALIZ_INCLUDE_DIR})
SET(LIBNORMALIZ_ROOT_DIR ${prefix})
SET(LIBNORMALIZ_VERSION_STRING ${VERSION_STRING})
SET(LIBNORMALIZ_VERSION_MAJOR ${VERSION_MAJOR})
SET(LIBNORMALIZ_VERSION_MINOR ${VERSION_MINOR})
SET(LIBNORMALIZ_VERSION_PATCH ${VERSION_PATCH})
CONFIGURE_FILE(version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h @ONLY)
SET(LIBNORMALIZ_USE_FILE ${CMAKE_INSTALL_PREFIX}/${LIBNORMALIZ_CMAKE_CONFIG_DIR}/UseLibnormaliz.cmake)
CONFIGURE_FILE(../LibnormalizConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake @ONLY)
#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake ../UseLibnormaliz.cmake DESTINATION ${LIBNORMALIZ_CMAKE_CONFIG_DIR})

#ADD_SUBDIRECTORY(examples)

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/normaliz.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/normaliz.git
+Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
+Vcs-Browser: https://salsa.debian.org/science-team/normaliz
 
 Package: normaliz
 Architecture: any

## normaliz 3.7.1+ds

=== debian/changelog ===
normaliz (3.7.1+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 4.4.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jul 2019 12:26:01 +0000

normaliz (3.7.1+ds-2) experimental; urgency=medium

  * Debianization:
    - debian/{control,rules}, e-antic support;
    - debian/patches/*:
      - d/p/upstream-fix-spelling_error.patch, introduce;
    - debian/libnormaliz3.lintian-overrides:
      - hardening-no-fortify-functions entry, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 07 Jun 2019 06:47:30 +0000

normaliz (3.7.1+ds-1) experimental; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/copyright:
      - Copyright field, year tuples, update;
      - Files-Excluded field, refresh;
    - debian/control:
      - Standards Version, bump to 4.3.0 (no change);
      - debhelper, bump to 12;
    - debian/compat, discard;
    - debian/tests/*:
      - d/t/control, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 30 Apr 2019 15:10:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,18 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 11), autoconf-archive,
+ debhelper-compat (= 12), autoconf-archive,
  help2man,
- libgmp-dev, libflint-dev [!alpha !m68k !sh4 !x32], libboost-dev
+ libgmp-dev,
+ libmpfr-dev,
+ libflint-dev      [!alpha !m68k !sh4 !x32],
+ libflint-arb-dev  [!alpha !m68k !sh4 !x32],
+ libeantic-dev     [!alpha !m68k !sh4 !x32],
+ libboost-dev
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/science-team/normaliz

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,10 @@
 
 ifneq (,$(filter $(DEB_HOST_MULTIARCH), alpha-linux-gnu m68k-linux-gnu sh4-linux-gnu x86_64-linux-gnux32))
 DEB_PKG_NMZ_FLINT=no
+DEB_PKG_NMZ_EANTIC=no
 else
 DEB_PKG_NMZ_FLINT=yes
+DEB_PKG_NMZ_EANTIC=yes
 endif
 
 default:
@@ -33,7 +35,10 @@
 	dh $@ --builddirectory=_build
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-openmp=$(DEB_PKG_NMZ_OPENMP) --enable-flint=$(DEB_PKG_NMZ_FLINT)
+	dh_auto_configure -- \
+		--enable-openmp=$(DEB_PKG_NMZ_OPENMP) \
+		--enable-flint=$(DEB_PKG_NMZ_FLINT) \
+		--enable-enfnormaliz=$(DEB_PKG_NMZ_EANTIC)
 
 override_dh_auto_build-indep:
 	$(MAKE) -C doc -f $(CURDIR)/debian/adhoc/Makefile doc

## normaliz 3.8.3%2Bds

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
  help2man,
  libgmp-dev,
  libmpfr-dev,
- libflint-dev      [!alpha !m68k !sh4 !x32],
- libflint-arb-dev  [!alpha !m68k !sh4 !x32],
- libeantic-dev     [!alpha !m68k !sh4 !x32],
- libboost-dev
+ libflint-dev      [!m68k !sh4 !x32],
+ libflint-arb-dev  [!m68k !sh4 !x32],
+ libeantic-dev     [!m68k !sh4 !x32]
 Build-Depends-Indep:
- texlive-latex-base, texlive-latex-recommended, texlive-pictures,
+ texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/science-team/normaliz
@@ -49,7 +48,14 @@
 Package: libnormaliz-dev
 Section: libdevel
 Architecture: any
-Depends: libnormaliz3 (= ${binary:Version}), libnormaliz-dev-common (= ${source:Version}), ${misc:Depends}
+Depends:
+ libnormaliz3 (= ${binary:Version}),
+ libnormaliz-dev-common (= ${source:Version}),
+ libeantic-dev     [!m68k !sh4 !x32],
+ libflint-arb-dev  [!m68k !sh4 !x32],
+ libflint-dev      [!m68k !sh4 !x32],
+ libgmp-dev,
+ ${misc:Depends}
 Conflicts: libnormaliz-dev
 Suggests: normaliz-bin (= ${binary:Version})
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 DEB_PKG_NMZ_OPENMP=yes
 endif
 
-ifneq (,$(filter $(DEB_HOST_MULTIARCH), alpha-linux-gnu m68k-linux-gnu sh4-linux-gnu x86_64-linux-gnux32))
+ifneq (,$(filter $(DEB_HOST_MULTIARCH), m68k-linux-gnu sh4-linux-gnu x86_64-linux-gnux32))
 DEB_PKG_NMZ_FLINT=no
 DEB_PKG_NMZ_EANTIC=no
 else

## normaliz 3.8.3+ds

=== debian/changelog ===
normaliz (3.8.3+ds-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:47 +0100

normaliz (3.8.3+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/rules:
      - OpenMP support, disabled for alpha architecture.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Dec 2019 06:16:03 +0000

normaliz (3.8.3+ds-1) unstable; urgency=medium

  * New upstream version.
    - debian/copyright:
      - Files-Excluded list, refersh;
    - debian/patches/*:
      - d/p/debianization.patch, refresh;
    - debian/control:
      - {Build-,}Depends fields, remove libboost-dev;
      - Build-Depends-Indep, add texlive-latex-extra.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 28 Dec 2019 10:22:54 +0000

normaliz (3.8.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded list, refersh;
    - debian/control:
      - Depends field, libnormaliz-dev, update (Closes: #941933);
      - Standards Version, bump to 4.4.1 (no change),
    - debian/{control,rules}, permit alpha port;
    - debian/patches/*:
      - d/p/upstream-fix-spelling_error.patch , integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 26 Oct 2019 07:49:41 +0000

## normaliz 3.8.5+ds

=== debian/changelog ===
normaliz (3.8.5+ds-1build1) groovy; urgency=medium

  * No-change rebuild against libflint-2.6.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Aug 2020 08:19:19 +0000

normaliz (3.8.5+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/control:
      - Maintainer address, update;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.5.0 (no change);
      - Architecture field:
        - normaliz, convert to all (Multiarch hinter);
    - debian/normaliz-bin.lintian-overrides, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 06 Jun 2020 12:16:21 +0000

normaliz (3.8.4+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - copyright year tuples, update;
      - Files-Excluded field, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 05 Jun 2020 16:44:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: normaliz
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
+Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12), autoconf-archive,
  help2man,
@@ -14,15 +16,16 @@
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/science-team/normaliz
 
 Package: normaliz
-Architecture: any
+Architecture: all
 Depends: normaliz-bin, ${misc:Depends}
 Suggests: singular
+Multi-Arch: foreign
 Description: math computing tools for affine monoids, rational polytopes and cones
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.

## normaliz 3.8.9%2Bds

=== debian/changelog ===
normaliz (3.8.9+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix team mailing list address (Closes: #970759).
  * Add patch to fix numerical noise issues (Closes: #969794, #971188).
  * Made deps on flint, flint-arb and e-antic unconditional.
  * Bump dh compat to 13.
  * New upstream version.
  * Refresh patches, and drop the numerical noise one (now unneeded).
  * Drop all lintian overrides: keeping warnings is harmless, hiding them
    might turn harmful.
  * Ship the PyNormaliz examples too.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 12:17:34 +0200

=== debian/tests/control ===
Test-command: make -C test -f Makefile.classic NORMALIZ=/usr/bin/normaliz
Restrictions: allow-stderr

## normaliz 3.8.9+ds

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: normaliz
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12), autoconf-archive,
+ debhelper-compat (= 13), autoconf-archive,
  help2man,
  libgmp-dev,
  libmpfr-dev,
- libflint-dev      [!m68k !sh4 !x32],
- libflint-arb-dev  [!m68k !sh4 !x32],
- libeantic-dev     [!m68k !sh4 !x32]
+ libflint-dev,
+ libflint-arb-dev,
+ libeantic-dev
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
 Standards-Version: 4.5.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
-Vcs-Git: https://salsa.debian.org/science-team/normaliz.git
-Vcs-Browser: https://salsa.debian.org/science-team/normaliz
+Vcs-Git: https://salsa.debian.org/math-team/normaliz.git
+Vcs-Browser: https://salsa.debian.org/math-team/normaliz
 
 Package: normaliz
 Architecture: all
@@ -54,9 +53,9 @@
 Depends:
  libnormaliz3 (= ${binary:Version}),
  libnormaliz-dev-common (= ${source:Version}),
- libeantic-dev     [!m68k !sh4 !x32],
- libflint-arb-dev  [!m68k !sh4 !x32],
- libflint-dev      [!m68k !sh4 !x32],
+ libeantic-dev,
+ libflint-arb-dev,
+ libflint-dev,
  libgmp-dev,
  ${misc:Depends}
 Conflicts: libnormaliz-dev

=== debian/rules ===
--- 
+++ 
@@ -54,5 +54,9 @@
 override_dh_auto_install-indep:
 	$(MAKE) -C _build/source install-data-am DESTDIR=$(CURDIR)/debian/tmp
 
+override_dh_auto_install:
+	dh_auto_install
+	find debian/tmp/ -name "*.la" -delete
+
 override_dh_compress-indep:
 	dh_compress -X.pdf -Xexamples

## normaliz 3.9.3+ds

=== debian/changelog ===
normaliz (3.9.3+ds-1build2) kinetic; urgency=medium

  * No-change rebuild against libflint17

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 17 Jul 2022 13:57:14 +0000

normaliz (3.9.3+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libflint-2.8.5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 16:05:03 +0000

normaliz (3.9.3+ds-1) unstable; urgency=medium

  * Upstream new nano version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-tests-floating_point-embbed.patch, obsoleted;
    - d/tests/*:
      - d/t/control, fix typo.


 -- Jerome Benoit <calculus@rezozer.net>  Sat, 23 Apr 2022 15:24:47 +0000

normaliz (3.9.2+ds-2) unstable; urgency=medium

  * FTBFS release.
  * Debianization:
    - d/paches/*:
      - d/p/upstream-fix-tests-floating_point-embbed.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Feb 2022 20:49:03 +0000

normaliz (3.9.2+ds-1) unstable; urgency=medium

  * Upstream new minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded field, refresh;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
      - Build-Depends field, update;
      - libnormaliz-dev Depends list, update.
    - d/rules, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Feb 2022 09:13:52 +0000

normaliz (3.8.9+ds-1) unstable; urgency=medium

  * Technical upload.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - Maintenance, migrate to Debian Math Team.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 22 Feb 2022 10:12:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: normaliz
 Section: math
 Priority: optional
-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -10,12 +11,12 @@
  libgmp-dev,
  libmpfr-dev,
  libflint-dev,
- libflint-arb-dev,
- libeantic-dev
+ libeantic-dev,
+ libnauty2-dev
 Build-Depends-Indep:
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-pictures,
  texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://salsa.debian.org/math-team/normaliz.git
 Vcs-Browser: https://salsa.debian.org/math-team/normaliz
@@ -53,8 +54,8 @@
 Depends:
  libnormaliz3 (= ${binary:Version}),
  libnormaliz-dev-common (= ${source:Version}),
+ libnauty2-dev,
  libeantic-dev,
- libflint-arb-dev,
  libflint-dev,
  libgmp-dev,
  ${misc:Depends}
